%define	name	physfs
%define	version	1.0.1

%define	libname_orig 	lib%{name}
%define major		1.0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d
 
Name:		%{name}
Summary:	A library to provide abstract access to various archives
Version:	%{version}
Release:	%mkrel 4
License:	zlib
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.bz2
URL:		http://www.icculus.org/physfs/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	ncurses-devel readline-devel zlib-devel


%description
A library to provide abstract access to various archives. 
It is intended for use in video games. 
The programmer defines a "write directory" on the physical filesystem. 
No file writing done through the PhysicsFS API can leave that write directory.

%package -n	%{libname}
Summary:	Main library for physfs
Group:		System/Libraries
Provides:	%{libname_orig} = %{version}-%{release}
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with physfs

%package -n	%{develname}
Summary:	Headers for developing programs that will use physfs
Group:		Development/C 
Requires:	%{libname} = %{version} zlib-devel
Provides:	%{libname_orig}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname physfs 1.0 -d}

%description -n	%{develname}
This package contains the headers that programmers will need to develop
applications which will use physfs

%prep
%setup -q

%build
%configure2_5x 

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

rm -f $RPM_BUILD_ROOT%{_libdir}/lib%{name}.a

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files -n %{libname}
%defattr(-, root, root)
%{_libdir}/*.so.*

%files -n %{develname}
%defattr(-, root, root)
%doc CHANGELOG CREDITS LICENSE TODO
%{_bindir}/*
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/*.so


%changelog
* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.1-4mdv2009.0
+ Revision: 224917
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-3mdv2008.1
+ Revision: 179235
- rebuild

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-2mdv2008.1
+ Revision: 179215
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Jul 31 2007 Adam Williamson <awilliamson@mandriva.com> 1.0.1-1mdv2008.0
+ Revision: 56932
- rebuild for 2008
- no need to package installation instructions
- move docs to devel package to respect library policy
- new devel policy

  + Emmanuel Andry <eandry@mandriva.org>
    - Import physfs


 
* Thu Jul 20 2006 Emmanuel Andry <eandry@mandriva.org> 1.0.1-1mdv2007.0
- 1.0.1
- %%mkrel

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0.0-2mdk
- rebuild for new readline
- fix summary-ended-with-dot

* Fri Jun 04 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0.0-1mdk
- 1.0.0
- bump major
- cosmetics

* Tue Oct 07 2003 Charles A Edwards <eslrahc@bellsouth.net> 0.1.9-1mdk
- initial mdk pkg
